package com.xhkjedu.sexam.mapper.reportclass;

import com.xhkjedu.base.TkMapper;
import com.xhkjedu.sexam.model.reportclass.ERclass;
import com.xhkjedu.sexam.vo.report.ERankParamVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

public interface ERclassMapper extends TkMapper<ERclass> {
    //校级报告-成绩分析
    List<Map> listByExamId(@Param("rank") ERankParamVo rank);

    //班级报告-成绩分析
    List<Map> listByExamAndClassId(@Param("examid") Integer examid,@Param("classid") Integer classid);

    //班级报告-单科概况-班级概况
    Map findById(@Param("rank") ERankParamVo rank);

    //班级报告-单科概况-平均分
    List<Map> listPjf(@Param("rank") ERankParamVo rank);

    //班级报告-单科概况-成绩等级分布
    List<Map> listCjDj(@Param("rank") ERankParamVo rank);

    //班级报告-单科概况-需关注学生
    List<Map> listGzXs(@Param("rank") ERankParamVo rank);

    //班级报告-单科概况-高频错题
    List<Map> listGpCt(@Param("rank") ERankParamVo rank);

    //班级报告pdf-单科概况
    List<Map> listByExamIdClassId(@Param("rank") ERankParamVo rank);

    //班级报告-获取pdf报告状态和班级pdf地址
    Map getReportClass(@Param("examid") Integer examid,@Param("classid") Integer classid);
}